Subject: Re: [PATCH net 2/2] ibmvnic: Inspect header requirements before using scrq direct

From: Simon Horman <[email-masked]>
Date: Tue, 1 Oct 2024 12:07:21 +0100

On Mon, Sep 30, 2024 at 12:56:35PM -0500, Nick Child wrote:
> Previously, the TX header requirement for standard frames was ignored.
> This requirement is a bitstring sent from the VIOS which maps to the
> type of header information needed during TX. If no header information,
> is needed then send subcrq direct can be used (which can be more
> performant).
> 
> This bitstring was previously ignored for standard packets (AKA non LSO,
> non CSO) due to the belief that the bitstring was over-cautionary. It
> turns out that there are some configurations where the backing device
> does need header information for transmission of standard packets. If
> the information is not supplied then this causes continuous "Adapter
> error" transport events. Therefore, this bitstring should be respected
> and observed before considering the use of send subcrq direct.
> 
> Fixes: 1c33e29245cc ("ibmvnic: Only record tx completed bytes once per handler")
> 

nit: No blank line between Fixes and other tags please.

Slightly more importantly, perhaps naively, I would have thought this
 Fixes: 076ae667be9f ("net: netconsole: do not pass userdata up to the tail")

> Signed-off-by: Nick Child <[email-masked]>

...